DROP TABLE IF EXISTS STOCK;
DROP TABLE IF EXISTS PRODUIT;
DROP TABLE IF EXISTS FOURNISSEUR;
DROP TABLE IF EXISTS UTILISATEUR;

CREATE TABLE UTILISATEUR(
   mail VARCHAR(50),
   prenom VARCHAR(50) NOT NULL,
   nom VARCHAR(50) NOT NULL,
   role VARCHAR(50) NOT NULL,
   mot_de_passe VARCHAR(50) NOT NULL,
   PRIMARY KEY(mail)
);

CREATE TABLE FOURNISSEUR(
   nom_fournisseur VARCHAR(50),
   adresse VARCHAR(50),
   email VARCHAR(50),
   telephone INT,
   PRIMARY KEY(nom_fournisseur)
);

CREATE TABLE PRODUIT(
   nom_produit VARCHAR(50),
   nom_fournisseur VARCHAR(50),
   prix_unitaire DOUBLE,
   quantite_min INT,
   quantite_max INT,
   image VARCHAR(512),
   quantite_course INT,
   PRIMARY KEY(nom_produit),
   FOREIGN KEY(nom_fournisseur) REFERENCES FOURNISSEUR(nom_fournisseur)
);

CREATE TABLE STOCK(
   nom_produit VARCHAR(50),
   date_peremption DATE,
   quantite_stock INT,
   PRIMARY KEY(nom_produit, date_peremption),
   FOREIGN KEY(nom_produit) REFERENCES PRODUIT(nom_produit)
);
